# pandas.CategoricalIndex

class `pandas.``CategoricalIndex`

  Immutable Index implementing an ordered, sliceable set. CategoricalIndex represents a sparsely populated Index with an underlying Categorical.

  Parameters:

  data : array-like or Categorical, (1-dimensional)

  categories : optional, array-like

  > categories for the CategoricalIndex

  ordered : boolean,

  > designating if the categories are ordered

  copy : bool

  > Make a copy of input ndarray

  name : object

  > Name to be stored in the index

  See also

  `Categorical`, `Index`

Scroll To Top